kongxx的专栏

有困难要上,没有困难创造困难也要上!

CentOS6x上安装Postgresql 9.x

CentOS6x上安装Postgresql 9.x

首先检查机器上已经安装的Postgresql版本

$ rpm -qa | grep postgres
postgresql-libs-8.4.20-6.el6.x86_64
postgresql-8.4.20-6.el6.x86_64
postgresql-devel-8.4.20-6.el6.x86_64
postgresql-server-8.4.20-6.el6.x86_64

可以看出CentOS6x默认使用的Postgresql版本是8.x

卸载低版本的的Postgresql

$ sudo yum erase ...

下载安装高版本的Postgresql

下载

访问下面地址,找到需要使用的版本下载之

http://download.postgresql.org/pub/repos/yum/

这里我使用了下面几个包
- postgresql92-libs-9.2.18-1PGDG.rhel6.x86_64.rpm
- postgresql92-9.2.18-1PGDG.rhel6.x86_64.rpm
- postgresql92-devel-9.2.18-1PGDG.rhel6.x86_64.rpm
- postgresql92-server-9.2.18-1PGDG.rhel6.x86_64.rpm

安装

$ sudo yum install -y postgresql92-libs-9.2.18-1PGDG.rhel6.x86_64.rpm \
    postgresql92-9.2.18-1PGDG.rhel6.x86_64.rpm \
    postgresql92-server-9.2.18-1PGDG.rhel6.x86_64.rpm \
    postgresql92-devel-9.2.18-1PGDG.rhel6.x86_64.rpm 

转载请以链接形式标明本文链接
本文链接:http://blog.csdn.net/kongxx/article/details/52883383

阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/kongxx/article/details/52883383
文章标签: postgresql
个人分类: Postgresql
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

不良信息举报

CentOS6x上安装Postgresql 9.x

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭